---------------------
PatchSet 6636 
Date: 2008/01/22 23:49:35
Author: amosjeffries
Branch: docs
Tag: (none) 
Log:
Make programming guide capable of proper HTML instead of .dyn wrappers.

Members: 
	squid3.dox:1.1.2.12->1.1.2.13 
	doc/Programming-Guide/Makefile:1.2.26.1->1.2.26.2 
	doc/Programming-Guide/doxygen.footer.dyn:1.1->1.1.2.1 
	doc/Programming-Guide/doxygen.footer.html:1.1.2.1->1.1.2.2 
	doc/Programming-Guide/doxygen.header.dyn:1.1->1.1.2.1 
	doc/Programming-Guide/doxygen.header.html:1.1.2.1->1.1.2.2 

Index: squid3/squid3.dox
===================================================================
RCS file: /cvsroot/squid-sf//squid3/squid3.dox,v
retrieving revision 1.1.2.12
retrieving revision 1.1.2.13
diff -u -r1.1.2.12 -r1.1.2.13
--- squid3/squid3.dox	12 Jan 2008 11:52:59 -0000	1.1.2.12
+++ squid3/squid3.dox	22 Jan 2008 23:49:35 -0000	1.1.2.13
@@ -640,13 +640,13 @@
 # each generated HTML page. If it is left blank doxygen will generate a 
 # standard header.
 
-HTML_HEADER            = ./doc/Programming-Guide/doxygen.header.html
+HTML_HEADER            = ./doc/Programming-Guide/doxygen.header.dyn
 
 # The HTML_FOOTER tag can be used to specify a personal HTML footer for 
 # each generated HTML page. If it is left blank doxygen will generate a 
 # standard footer.
 
-HTML_FOOTER            = ./doc/Programming-Guide/doxygen.footer.html
+HTML_FOOTER            = ./doc/Programming-Guide/doxygen.footer.dyn
 
 # The HTML_STYLESHEET tag can be used to specify a user-defined cascading 
 # style sheet that is used by each HTML page. It can be used to 
Index: squid3/doc/Programming-Guide/Makefile
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Makefile,v
retrieving revision 1.2.26.1
retrieving revision 1.2.26.2
diff -u -r1.2.26.1 -r1.2.26.2
--- squid3/doc/Programming-Guide/Makefile	12 Jan 2008 13:44:52 -0000	1.2.26.1
+++ squid3/doc/Programming-Guide/Makefile	22 Jan 2008 23:49:35 -0000	1.2.26.2
@@ -1,6 +1,7 @@
 
 all:
+	clean
 	cd ../../ && doxygen squid3.dox 2>doxygen.log
 
 clean:
-	rm -f html/*.html
+	rm -f html/*
--- /dev/null	Wed Jan 23 01:24:26 2008
+++ squid3/doc/Programming-Guide/doxygen.footer.dyn	Wed Jan 23 01:24:26 2008
@@ -0,0 +1 @@
+</div>
Index: squid3/doc/Programming-Guide/doxygen.footer.html
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Attic/doxygen.footer.html,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/doc/Programming-Guide/doxygen.footer.html	12 Jan 2008 13:44:52 -0000	1.1.2.1
+++ squid3/doc/Programming-Guide/doxygen.footer.html	22 Jan 2008 23:49:35 -0000	1.1.2.2
@@ -1 +1,4 @@
 </div>
+<div>Copyright &copy;2007+ Squid Cache Project <a href="http://www.squid-cache.org">www.squid-cache.org</a></div>
+</body>
+</html>
--- /dev/null	Wed Jan 23 01:24:26 2008
+++ squid3/doc/Programming-Guide/doxygen.header.dyn	Wed Jan 23 01:24:26 2008
@@ -0,0 +1 @@
+<div id="doxypage">
Index: squid3/doc/Programming-Guide/doxygen.header.html
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Attic/doxygen.header.html,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/doc/Programming-Guide/doxygen.header.html	12 Jan 2008 13:44:52 -0000	1.1.2.1
+++ squid3/doc/Programming-Guide/doxygen.header.html	22 Jan 2008 23:49:35 -0000	1.1.2.2
@@ -1 +1,18 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<!--
+Design by Free CSS Templates
+http://www.freecsstemplates.org
+Released for free under a Creative Commons Attribution 2.5 License
+-->
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
+	<title>squid : Optimising Web Delivery</title>
+	<meta name="keywords" content="" />
+	<meta name="description" content="" />
+	<link href="http://www.squid-cache.org/Doc/Code/default.css" rel="stylesheet" type="text/css" />
+	<link href="http://www.squid-cache.org/Doc/Code/squid3-doxygen.css" rel="stylesheet" type="text/css" />
+	<link href="http://www.squid-cache.org/Doc/Code/squid3-tabs.css" rel="stylesheet" type="text/css" />
+</head>
+<body>
 <div id="doxypage">
